> ## Documentation Index
> Fetch the complete documentation index at: https://docs.periskope.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Broadcast

> This endpoint is used to delete or stop a broadcast.

- If the broadcast hasn't started yet, it will be deleted and the credits for this broadcast won't be charged.
- If it's currently sending, it will stop immediately. Any messages that haven't been sent yet will be cancelled, and the credits for them will be refunded.



## OpenAPI

````yaml DELETE /message/broadcast/{broadcast_id}
openapi: 3.0.3
info:
  title: API - Local
  description: >-
    #### Welcome to the official Postman collection of Periskope API


    Periskope APIs enable you automate actions on your WhatsApp phone, and the
    Periskope platform


    - Read more about the APIs & webhooks here -
    [https://docs.periskope.app/api-reference/introduction](https://docs.periskope.app/api-reference/introduction)
        
    - We encourage responsible usage of the APIs. Follow these best practices
    and recommendations for safe actions on WhatsApp -
    [https://docs.periskope.app/get-started/best-practices](https://docs.periskope.app/get-started/best-practices)
        

    #### Getting Started


    ##### Pre-requisites:


    1. **Sign up for a free account on Periskope:** To use the Periskope API,
    you need to have an active Periskope account. If you don’t have one, you can
    sign up for a 7-day free trial [here](https://console.periskope.app).
        
    2. **Scan the QR code from WhatsApp to connect your phone:** A connected
    phone is required to use the APIs
        
    3. **Go to** [Settings &gt;
    API](https://console.periskope.app/settings/api), and generate an API key
    for your organization - The API key is used to authenticate every request.
    Please keep this secure
        

    ##### Using Postman:


    1. **Fork the collection so you can edit values and test the APIs in your
    own postman environment:** To fork the collection, click on the three dots
    next to v1. Then click on create a fork (_shortcut: Ctrl + Alt + F)._
        
    2. **Update the value of the variables in the collection:**  
        \- Update the API key with the key generated in Step 3  
        \- Update the phone number with your connected number. This number will be added to the `x-phone` header across requests
        
        It must be in the format of country code+number, with no special characters or spaces _e.g. +91 98745 32456 becomes 919874532456_
        

    For any help or feedback, please contact us at
    [support@periskope.app](https://mailto:support@periskope.app), or ping us on
    [WhatsApp](https://what.sapp.link/periskope)
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.periskope.app/v1
security:
  - bearerAuth: []
tags:
  - name: contacts
  - name: tickets
  - name: tasks
  - name: phones
  - name: message
  - name: queue
  - name: chats
  - name: group
  - name: members
  - name: webhooks
paths:
  /message/broadcast/{broadcast_id}:
    delete:
      tags:
        - message
      summary: Delete a  Broadcast
      description: >-
        This endpoint is used to delete or stop a broadcast.


        - If the broadcast hasn't started yet, it will be deleted and the
        credits for this broadcast won't be charged.

        - If it's currently sending, it will stop immediately. Any messages that
        haven't been sent yet will be cancelled, and the credits for them will
        be refunded.
      operationId: cancelBroadcast
      parameters:
        - name: broadcast_id
          in: path
          required: true
          schema:
            type: string
            example: b25192d5-2370-4a69-b844-aae5e2bfae92
          description: >-
            The `broadcast_id` returned when the broadcast was created. You have
            to provide the `broadcast_id` here in order to delete or stop it.
      responses:
        '200':
          description: Broadcast was deleted or stopped successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  broadcast_id:
                    type: string
                    example: b25192d5-2370-4a69-b844-aae5e2bfae92
                  status:
                    type: string
                    enum:
                      - deleted
                      - stopped
                    example: deleted
        '404':
          description: Broadcast not found or does not belong to your organisation.
        '409':
          description: Broadcast is already in a terminal state and cannot be cancelled.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: CONFLICT_ERROR
                  message:
                    type: string
                    example: Broadcast is already stopped
                  code:
                    type: number
                    example: 409
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: >-
            import { PeriskopeApi } from '@periskope/periskope-client';


            const client = new PeriskopeApi({
              authToken: 'YOUR_API_KEY',
            });


            const result = await client.message.cancelBroadcast({
              broadcast_id: 'b25192d5-2370-4a69-b844-aae5e2bfae92',
            });


            // result.status is 'deleted' (was scheduled) or 'stopped' (was
            in-progress)

            console.log(result.broadcast_id, result.status);
        - lang: cURL
          label: cURL
          source: |-
            curl -X DELETE \
              https://api.periskope.app/v1/message/broadcast/b25192d5-2370-4a69-b844-aae5e2bfae92 \
              -H 'Authorization: Bearer <token>'

            # Response (scheduled broadcast):
            # { "broadcast_id": "b25192d5-...", "status": "deleted" }

            # Response (in-progress broadcast):
            # { "broadcast_id": "b25192d5-...", "status": "stopped" }
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````